Create a Fixed-Price Link
Overview
Use the information in this section to create fixed-price links that you can send or display to your customers. Your customers can then use the links to pay on a secure hosted website.
Fixed-price links are typically used by customers to make purchases. To create a link for donations, see Create a Customer-Set Price Link.
Partner Information
If your merchant account is associated with a partner, you can include your partner solution ID (PSID) in the request for tracking and reporting purposes. To submit your PSID, include the clientReferenceInformation.partner.solutionId request field, and set its field value to your PSID.
Sending the Request
Endpoint: POST /ipl/v2/payment-links
For environment base URLs, see Endpoints: Pay by Link.
For India Production, use the base URL.
Required Fields
orderInformation.amountDetails.currency
ISO currency code (for example, USD).
orderInformation.amountDetails.totalAmount
Total price for the item.
orderInformation.lineItems[].productName
Name of the product.
orderInformation.lineItems[].unitPrice
Price per unit.
processingInformation.linkType
Defines what type of link you want to create. Possible values are DONATION or PURCHASE. Set to PURCHASE for creating a fixed-price link.
purchaseInformation.purchaseNumber
Set to a unique identifier for the fixed-price link.
Optional Fields
clientReferenceInformation.partner.developerId
Set to your developer ID.
clientReferenceInformation.partner.solutionId
Set to your partner solution ID (PSID).
orderInformation.amountDetails.maxAmount
Maximum payment amount allowed.
orderInformation.amountDetails.minAmount
Minimum payment amount allowed.
orderInformation.lineItems[].productDescription
Description of the product or service.
orderInformation.lineItems[].productSku
Product SKU or identifier.
orderInformation.lineItems[].quantity
Number of units.
processingInformation.requestPhone
When true, the payment page prompts the customer to enter a phone number before completing payment.
processingInformation.requestShipping
When true, adds a required shipping address field to the payment form.
Example
Production:
POST /ipl/v2/payment-linksTest:
POST /ipl/v2/payment-links { "processingInformation": { "linkType": "PURCHASE" }, "purchaseInformation": { "purchaseNumber": "78759658468578" }, "orderInformation": { "amountDetails": { "currency": "USD", "totalAmount": "60" }, "lineItems": [ { "productName": "Birthday Cake", "unitPrice": "60" } ] }}{ "_links": { "self": { "href": "/ipl/v2/payment-links/78759658468578", "method": "GET" }, "update": { "href": "/ipl/v2/payment-links/78759658468578", "method": "PATCH" } }, "id": "78759658468578", "submitTimeUtc": "2024-08-08T02:27:28.287601279Z", "status": "ACTIVE", "processingInformation": { "linkType": "PURCHASE", "requestPhone": false, "requestShipping": false }, "purchaseInformation": { "purchaseNumber": "78759658468578", "createdDate": "2024-08-08T02:27:28.370", "paymentLink": "/ebc2/payByLink/pay/IXBls1OJVqRiiv0SL8XjHit0InRBW844eEou2EWBCNP7WIGDdd8tjKN07Ep3MaQD" }, "orderInformation": { "amountDetails": { "totalAmount": 60, "currency": "USD" }, "lineItems": [ { "productName": "Birthday Cake", "unitPrice": 60, "quantity": 1 } ] }}Response
A successful response returns HTTP 201 with the payment link details, including:
id— Unique identifier for the payment link.status—ACTIVEfor a new payment link.purchaseInformation.paymentLink— The URL to share with customers.
Thanks for your feedback!
Last published: September 29, 2026